Skip to main content
POST
Send or remove a reaction

Authorizations

X-API-Key
string
header
required

Preferred. API key value directly.

Query Parameters

channelId
string

Channel id. Auto-selects when omitted.

Example:

"ch_123"

messageId
string

WhatsApp message id (WAMID) of the message to react to, e.g. wamid.HBgM...AA==

Example:

"YOUR_MESSAGEID"

emoji
string

Emoji, e.g. 👍. Required to react.

Example:

"YOUR_EMOJI"

action
string

react | unreact. Default react. unreact removes the reaction.

Example:

"YOUR_ACTION"

Body

application/json
messageId
string
required

WhatsApp message id (WAMID) of the message to react to, e.g. wamid.HBgM...AA==

Example:

"YOUR_MESSAGEID"

channelId
string

Channel id. Auto-selects when omitted.

Example:

"ch_123"

emoji
string

Emoji, e.g. 👍. Required to react.

Example:

"YOUR_EMOJI"

action
string

react | unreact. Default react. unreact removes the reaction.

Example:

"YOUR_ACTION"

Response

Success. Envelope: { success:true, data, message? }.

success
boolean
required
Example:

true

data
any
message
string
pagination
object
total
number